---
layout: default
title: GitLab CE AWS AMI
suppress_header: true
extra_css:
  - aws.css
extra_js:
  - downloads.js
regions:
- name: US West (Oregon)
  image: ami-1b46672b
  id: uw1
- name: US East (N. Virginia)
  image: ami-3cffac54
  id: ue
- name: US West (N. California)
  image: ami-d3df3a97
  id: uw2
- name: EU (Ireland)
  image: ami-df6ef9a8
  id: eui
- name: EU (Frankfurt)
  image: ami-f80331e5
  id: euf
- name: Asia Pacific (Singapore)
  image: ami-947c4bc6
  id: aps
- name: Asia Pacific (Tokyo)
  image: ami-897a9889
  id: apt
- name: Asia Pacifc (Sydney)
  image: ami-4f90e675
  id: apsy
- name: South America (São Paulo)
  image: ami-9d299780
  id: sa
---

<div class="aws-header">
  <h1>GitLab CE AWS AMI</h1>
  <h2>GitLab Community Edition on AWS with our machine image</h2>

  <!-- dropdown button -->
  <div class="btn-group">
    <button type="button" class="btn btn-default dropdown-toggle btn-lg" data-toggle="dropdown" onClick="_gaq.push(['_trackEvent', 'AWS', 'Region Select', 'Dropdown Open']);">
      Select AWS region <span class="caret"></span>
    </button>

    <ul class="dropdown-menu" role="menu">
    {% for region in page.regions %}
      <li><a href="#{{region.id}}" onClick="_gaq.push(['_trackEvent', 'AWS', 'Region Select', '#{{region.name}}']);">{{region.name}}</a></li>
    {% endfor %}
    </ul>
  </div>
  <!-- / dropdown button -->

  <div id="tabs">
    {% for region in page.regions %}
      <div class="tab" id="{{region.id}}">
        <div class="aws-install">

          <div class="aws-install-step">
            <p>Search for this AMI under Community AMIs</p>
            <p>{{ region.image }}</p>
          </div>

          <div class="aws-install-step">
            <p></p>
          </div>

          <div class="aws-install-step">
            <p>
              Launch a <a href="https://gitlab.com/gitlab-org/gitlab-ce/blob/master/doc/install/requirements.md">c4.large instance</a> with open ports for ssh, http and https.
              <br />
              SSH into the instance and run
            </p>
            <p>sudo gitlab-ctl reconfigure</p>
          </div>

          <div class="aws-install-step">
            <p>Visit the public ip in a browser and sign in as an exiting user</p>
            <p>username: root <br> password: 5iveL!fe</p>
          </div>

        </div>
        {% include other_download_links.html %}
      </div>
    {% endfor %}
  </div>
</div>
